## ros-one-respeaker-ros 2.1.31-19jammy.20251023.1251

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19jammy.20251023.1251) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 12:51:00 +0000

ros-one-respeaker-ros (2.1.31-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-respeaker-ros (2.1.30-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-respeaker-ros (2.1.29-0jammy) jammy; urgency=high

  * Support ros-o / Ubuntu 22.04 (#512 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/512>)
    
      * [respeaker_ros][diamondback] [ros-o] only use STREQUAL to compare ROS_DISTRO in cmake
    
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-respeaker-ros (2.1.28-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-respeaker-ros (2.1.27-0jammy) jammy; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-respeaker-ros (2.1.26-0jammy) jammy; urgency=high

  * [respeaker_ros] importing does not succeed (#477 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/477>)
  * respeaker_ros: Fix test. we use rosrun .... to run scripts (#478 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/478>)
  * Contributors: Kei Okada, Soonhyo Kim

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-respeaker-ros (2.1.25-0jammy) jammy; urgency=high

  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * [respeaker_ros] add FileNotFoundError in respeaker for python3 (#428 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/428>)
  * [respeaker_ros] Stop timer on shutdown (#385 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/385>)
  * [ros_speech_recogniton, respeaker_ros] add confidence field (#411 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/411>)
  * [#405 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/405> and #410 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/410>] Fix CI (#415 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/415>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
    
      * pgm_learner/respeaker_ros/ros_speech_recognition/rosping: increase time-limit/wait-time
    
  * [respeaker_ros] Add documentation for displaying Japanese /speech_to_text (#352 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/352>)
  * [respeaker_ros] Display helpful setting command when udev rule is not set (#351 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/351>)
  * Using RespeakerInterface instead of init_respeaker (#305 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/305>)
  * respeaker_ros for Python 2.x and 3.x (#284 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/284>)
  * Contributors: Aoi Nakane, Dirk Gorissen, Kei Okada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-respeaker-ros (2.1.24-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-respeaker-ros (2.1.23-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-respeaker-ros (2.1.22-0jammy) jammy; urgency=high

  * [respeaker_ros] Specify correct Python version in package.xml (#247 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/247>)
    
      * Fixes typo introduced in https://github.com/jsk-ros-pkg/jsk_3rdparty/commit/39be21894a38112a1633cf8385caf079c35536ff
    
  * Add respawn_delay to respeaker_node.py to reduce CPU load (#241 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/241>)Kill respeaker_node.py when USBError occur to reduce CPU load
  * [respeaker_ros] fix default sound_play action name of speech_to_text.py (#239 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/239>)
  * Mistakes I found when I tried to use respeaker_ros on hirovision (#217 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/217>)
    
      * add speech_recognition_msgs
      * change the name from respeaker.launch to sample_respeaker.launch
    
  * Contributors: Koki Shinjo, Miyabi Tanemoto, Naoya Yamaguchi, Shun Hasegawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-respeaker-ros (2.1.21-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-respeaker-ros (2.1.20-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-respeaker-ros (2.1.19-0jammy) jammy; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-respeaker-ros (2.1.18-0jammy) jammy; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * respeaker_ros: use catkin_install_python to install scripts
      * fix 2to3, with print, raise, exception
      * use package.xml format 3 for package contains python depends
    
  * [respeaker_ros] use rospy.logerr instead of print (#206 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/206>)
  * Add args to ros_speech_recognition (#197 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/197>)
    
      * [respeaker_ros] update run_depend and test file to pass travis test properly
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa



## ros-one-respeaker-ros 2.1.31-19jammy.20260116.2201

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19jammy.20260116.2201) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 22:01:20 +0000

## ros-one-respeaker-ros 2.1.31-19jammy.20260207.2222

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19jammy.20260207.2222) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 22:22:06 +0000

## ros-one-respeaker-ros 2.1.31-19jammy.20260222.0005

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19jammy.20260222.0005) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:05:17 +0000

## ros-one-respeaker-ros 2.1.31-19noble.20251023.1438

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(respeaker_ros)

find_package(catkin REQUIRED COMPONENTS
  catkin_virtualenv
  dynamic_reconfigure
)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/Respeaker.cfg
)

catkin_package()

if("$ENV{ROS_DISTRO}" STREQUAL "kinetic" OR "$ENV{ROS_DISTRO}" STREQUAL "melodic")
  catkin_generate_virtualenv(
    PYTHON_INTERPRETER python2
    CHECK_VENV FALSE
    )
elseif("$ENV{ROS_DISTRO}" STREQUAL "indigo")
  file(DOWNLOAD http://curl.haxx.se/ca/cacert.pem ${CMAKE_BINARY_DIR}/cacert.pem)
  catkin_generate_virtualenv(
    PYTHON_INTERPRETER python2
    # https://stackoverflow.com/questions/25981703/pip-install-fails-with-connection-error-ssl-certificate-verify-failed
    EXTRA_PIP_ARGS -vvv --cert=${CMAKE_BINARY_DIR}/cacert.pem
  )
else()
  catkin_generate_virtualenv(
    PYTHON_INTERPRETER python3
    CHECK_VENV FALSE
    )
endif()

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)
install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

file(GLOB PYTHON_SCRIPT_FILES scripts/*.py test/*.py)
catkin_install_python(PROGRAMS ${PYTHON_SCRIPT_FILES}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/sample_respeaker.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
  add_rostest(test/test_rospy_node.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
endif()

=== requirements.txt ===
SpeechRecognition==3.8.1
# see https://github.com/jsk-ros-pkg/jsk_robot/pull/1797
pyusb==1.1.1
spidev==3.5  # pixel-ring requires spidev and spidev >=3.6 requires setuptools>=61.0. same as https://github.com/jsk-ros-pkg/jsk_robot/pull/1794
pixel-ring==0.1.0

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19noble.20251023.1438) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 14:38:55 +0000

ros-one-respeaker-ros (2.1.31-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-respeaker-ros (2.1.30-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-respeaker-ros (2.1.29-0noble) noble; urgency=high

  * Support ros-o / Ubuntu 22.04 (#512 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/512>)
    
      * [respeaker_ros][diamondback] [ros-o] only use STREQUAL to compare ROS_DISTRO in cmake
    
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-respeaker-ros (2.1.28-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-respeaker-ros (2.1.27-0noble) noble; urgency=high

  * fix package.xml/CMakeLists.txt to supress catkin_lint errors (#479 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/479>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-respeaker-ros (2.1.26-0noble) noble; urgency=high

  * [respeaker_ros] importing does not succeed (#477 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/477>)
  * respeaker_ros: Fix test. we use rosrun .... to run scripts (#478 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/478>)
  * Contributors: Kei Okada, Soonhyo Kim

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-respeaker-ros (2.1.25-0noble) noble; urgency=high

  * add test to check if ros node is loadable (#463 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/463>)
  * [respeaker_ros] add FileNotFoundError in respeaker for python3 (#428 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/428>)
  * [respeaker_ros] Stop timer on shutdown (#385 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/385>)
  * [ros_speech_recogniton, respeaker_ros] add confidence field (#411 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/411>)
  * [#405 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/405> and #410 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/410>] Fix CI (#415 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/415>)
  * GithubAction: add test for  aarch64(melodic) / indigo (arm64) (#365 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/365>)
    
      * pgm_learner/respeaker_ros/ros_speech_recognition/rosping: increase time-limit/wait-time
    
  * [respeaker_ros] Add documentation for displaying Japanese /speech_to_text (#352 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/352>)
  * [respeaker_ros] Display helpful setting command when udev rule is not set (#351 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/351>)
  * Using RespeakerInterface instead of init_respeaker (#305 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/305>)
  * respeaker_ros for Python 2.x and 3.x (#284 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/284>)
  * Contributors: Aoi Nakane, Dirk Gorissen, Kei Okada, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Yoshiki Obinata

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-respeaker-ros (2.1.24-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-respeaker-ros (2.1.23-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-respeaker-ros (2.1.22-0noble) noble; urgency=high

  * [respeaker_ros] Specify correct Python version in package.xml (#247 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/247>)
    
      * Fixes typo introduced in https://github.com/jsk-ros-pkg/jsk_3rdparty/commit/39be21894a38112a1633cf8385caf079c35536ff
    
  * Add respawn_delay to respeaker_node.py to reduce CPU load (#241 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/241>)Kill respeaker_node.py when USBError occur to reduce CPU load
  * [respeaker_ros] fix default sound_play action name of speech_to_text.py (#239 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/239>)
  * Mistakes I found when I tried to use respeaker_ros on hirovision (#217 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/217>)
    
      * add speech_recognition_msgs
      * change the name from respeaker.launch to sample_respeaker.launch
    
  * Contributors: Koki Shinjo, Miyabi Tanemoto, Naoya Yamaguchi, Shun Hasegawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-respeaker-ros (2.1.21-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-respeaker-ros (2.1.20-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-respeaker-ros (2.1.19-0noble) noble; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-respeaker-ros (2.1.18-0noble) noble; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * respeaker_ros: use catkin_install_python to install scripts
      * fix 2to3, with print, raise, exception
      * use package.xml format 3 for package contains python depends
    
  * [respeaker_ros] use rospy.logerr instead of print (#206 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/206>)
  * Add args to ros_speech_recognition (#197 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/197>)
    
      * [respeaker_ros] update run_depend and test file to pass travis test properly
    
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa



=== debian/control ===
Source: ros-one-respeaker-ros
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-catkin-virtualenv, ros-one-dynamic-reconfigure
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-respeaker-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flac, python3-numpy, python3-pyaudio, ros-one-angles, ros-one-audio-common-msgs, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-speech-recognition-msgs, ros-one-std-msgs, ros-one-tf
Description: The respeaker_ros package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-respeaker-ros//opt/ros/one/lib/ || echo "Skip dh_shlibdeps error!!!"

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
override_dh_strip:
	dh_strip || true

## ros-one-respeaker-ros 2.1.31-19noble.20260116.2154

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19noble.20260116.2154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:54:12 +0000

## ros-one-respeaker-ros 2.1.31-19noble.20260207.2219

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19noble.20260207.2219) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 22:19:45 +0000

## ros-one-respeaker-ros 2.1.31-19noble.20260222.0114

=== debian/changelog ===
ros-one-respeaker-ros (2.1.31-19noble.20260222.0114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 22 Feb 2026 01:14:38 +0000
